## x264 0.142.2389+git956c8d8

=== Makefile ===
# Makefile

include config.mak

vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)

GENERATED =

all: default
default:

SRCS = common/mc.c common/predict.c common/pixel.c common/macroblock.c \
       common/frame.c common/dct.c common/cpu.c common/cabac.c \
       common/common.c common/osdep.c common/rectangle.c \
       common/set.c common/quant.c common/deblock.c common/vlc.c \
       common/mvpred.c common/bitstream.c \
       encoder/analyse.c encoder/me.c encoder/ratecontrol.c \
       encoder/set.c encoder/macroblock.c encoder/cabac.c \
       encoder/cavlc.c encoder/encoder.c encoder/lookahead.c

SRCCLI = x264.c input/input.c input/timecode.c input/raw.c input/y4m.c \
         output/raw.c output/matroska.c output/matroska_ebml.c \
         output/flv.c output/flv_bytestream.c filters/filters.c \
         filters/video/video.c filters/video/source.c filters/video/internal.c \
         filters/video/resize.c filters/video/cache.c filters/video/fix_vfr_pts.c \
         filters/video/select_every.c filters/video/crop.c filters/video/depth.c

SRCSO =
OBJS =
OBJSO =
OBJCLI =

OBJCHK = tools/checkasm.o

CONFIG := $(shell cat config.h)

# GPL-only files
ifneq ($(findstring HAVE_GPL 1, $(CONFIG)),)
SRCCLI +=
endif

# Optional module sources
ifneq ($(findstring HAVE_AVS 1, $(CONFIG)),)
SRCCLI += input/avs.c
endif

ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
SRCCLI += input/thread.c
SRCS   += common/threadpool.c
endif

ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
SRCS += common/win32thread.c
endif

ifneq ($(findstring HAVE_LAVF 1, $(CONFIG)),)
SRCCLI += input/lavf.c
endif

ifneq ($(findstring HAVE_FFMS 1, $(CONFIG)),)
SRCCLI += input/ffms.c
endif

ifneq ($(findstring HAVE_GPAC 1, $(CONFIG)),)
SRCCLI += output/mp4.c
endif

ifneq ($(findstring HAVE_LSMASH 1, $(CONFIG)),)
SRCCLI += output/mp4_lsmash.c
endif

# MMX/SSE optims
ifneq ($(AS),)
X86SRC0 = const-a.asm cabac-a.asm dct-a.asm deblock-a.asm mc-a.asm \
          mc-a2.asm pixel-a.asm predict-a.asm quant-a.asm \
          cpu-a.asm dct-32.asm bitstream-a.asm
ifneq ($(findstring HIGH_BIT_DEPTH, $(CONFIG)),)
X86SRC0 += sad16-a.asm
else
X86SRC0 += sad-a.asm
endif
X86SRC = $(X86SRC0:%=common/x86/%)

ifeq ($(ARCH),X86)
ARCH_X86 = yes
ASMSRC   = $(X86SRC) common/x86/pixel-32.asm
ASFLAGS += -DARCH_X86_64=0
endif

ifeq ($(ARCH),X86_64)
ARCH_X86 = yes
ASMSRC   = $(X86SRC:-32.asm=-64.asm) common/x86/trellis-64.asm
ASFLAGS += -DARCH_X86_64=1
endif

ifdef ARCH_X86
ASFLAGS += -I$(SRCPATH)/common/x86/
SRCS   += common/x86/mc-c.c common/x86/predict-c.c
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
OBJCHK += tools/checkasm-a.o
endif
endif

# AltiVec optims
ifeq ($(ARCH),PPC)
ifneq ($(AS),)
SRCS += common/ppc/mc.c common/ppc/pixel.c common/ppc/dct.c \
        common/ppc/quant.c common/ppc/deblock.c \
        common/ppc/predict.c
endif
endif

# NEON optims
ifeq ($(ARCH),ARM)
ifneq ($(AS),)
ASMSRC += common/arm/cpu-a.S common/arm/pixel-a.S common/arm/mc-a.S \
          common/arm/dct-a.S common/arm/quant-a.S common/arm/deblock-a.S \
          common/arm/predict-a.S
SRCS   += common/arm/mc-c.c common/arm/predict-c.c
OBJASM  = $(ASMSRC:%.S=%.o)
endif
endif

# VIS optims
ifeq ($(ARCH),UltraSPARC)
ifeq ($(findstring HIGH_BIT_DEPTH, $(CONFIG)),)
ASMSRC += common/sparc/pixel.asm
OBJASM  = $(ASMSRC:%.asm=%.o)
endif
endif

ifneq ($(HAVE_GETOPT_LONG),1)
SRCCLI += extras/getopt.c
endif

ifeq ($(SYS),WINDOWS)
OBJCLI += $(if $(RC), x264res.o)
ifneq ($(SONAME),)
SRCSO  += x264dll.c
OBJSO  += $(if $(RC), x264res.dll.o)
endif
endif

ifeq ($(HAVE_OPENCL),yes)
common/oclobj.h: common/opencl/x264-cl.h $(wildcard $(SRCPATH)/common/opencl/*.cl)
	cat $^ | perl $(SRCPATH)/tools/cltostr.pl x264_opencl_source > $@
GENERATED += common/oclobj.h
SRCS += common/opencl.c encoder/slicetype-cl.c
endif

OBJS   += $(SRCS:%.c=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.c=%.o)

.PHONY: all default fprofiled clean distclean install uninstall lib-static lib-shared cli install-lib-dev install-lib-static install-lib-shared install-cli

cli: x264$(EXE)
lib-static: $(LIBX264)
lib-shared: $(SONAME)

$(LIBX264): $(GENERATED) .depend $(OBJS) $(OBJASM)
	rm -f $(LIBX264)
	$(AR)$@ $(OBJS) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJASM) $(OBJSO)
	$(LD)$@ $(OBJS) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: x264 checkasm
x264: x264$(EXE)
checkasm: checkasm$(EXE)
endif

x264$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBX264)
	$(LD)$@ $(OBJCLI) $(CLI_LIBX264) $(LDFLAGSCLI) $(LDFLAGS)

checkasm$(EXE): $(GENERATED) .depend $(OBJCHK) $(LIBX264)
	$(LD)$@ $(OBJCHK) $(LIBX264) $(LDFLAGS)

$(OBJS) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK): .depend

%.o: %.asm
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.o: %.S
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.dll.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc x264.h
	$(RC) $(RCFLAGS)$@ $<

.depend: config.mak
	@rm -f .depend
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.c=%.o) $(DEPMM) 1>> .depend;)

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

SRC2 = $(SRCS) $(SRCCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that x264 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) x264$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./x264$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
	rm -f $(SRC2:%.c=%.o)
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"
	rm -f $(SRC2:%.c=%.gcda) $(SRC2:%.c=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock
endif

clean:
	rm -f $(OBJS) $(OBJASM) $(OBJCLI) $(OBJSO) $(SONAME) *.a *.lib *.exp *.pdb x264 x264.exe .depend TAGS
	rm -f checkasm checkasm.exe $(OBJCHK) $(GENERATED) x264_lookahead.clbin
	rm -f $(SRC2:%.c=%.gcda) $(SRC2:%.c=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock

distclean: clean
	rm -f config.mak x264_config.h config.h config.log x264.pc x264.def

install-cli: cli
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) x264$(EXE) $(DESTDIR)$(bindir)

install-lib-dev:
	$(INSTALL) -d $(DESTDIR)$(includedir)
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 644 $(SRCPATH)/x264.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 x264_config.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 x264.pc $(DESTDIR)$(libdir)/pkgconfig

install-lib-static: lib-static install-lib-dev
	$(INSTALL) -m 644 $(LIBX264) $(DESTDIR)$(libdir)
	$(if $(RANLIB), $(RANLIB) $(DESTDIR)$(libdir)/$(LIBX264))

install-lib-shared: lib-shared install-lib-dev
ifneq ($(IMPLIBNAME),)
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 $(IMPLIBNAME) $(DESTDIR)$(libdir)
else ifneq ($(SONAME),)
	ln -f -s $(SONAME) $(DESTDIR)$(libdir)/libx264.$(SOSUFFIX)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(libdir)
endif

uninstall:
	rm -f $(DESTDIR)$(includedir)/x264.h $(DESTDIR)$(includedir)/x264_config.h $(DESTDIR)$(libdir)/libx264.a
	rm -f $(DESTDIR)$(bindir)/x264$(EXE) $(DESTDIR)$(libdir)/pkgconfig/x264.pc
ifneq ($(IMPLIBNAME),)
	rm -f $(DESTDIR)$(bindir)/$(SONAME) $(DESTDIR)$(libdir)/$(IMPLIBNAME)
else ifneq ($(SONAME),)
	rm -f $(DESTDIR)$(libdir)/$(SONAME) $(DESTDIR)$(libdir)/libx264.$(SOSUFFIX)
endif

etags: TAGS

TAGS:
	etags $(SRCS)

## x264 0.116.2042+git178455c

=== debian/changelog ===
x264 (2:0.116.2042+git178455c-1ubuntu1) oneiric; urgency=low

  * Merge from debian (seriously!), remaining changes
    - tighten dependencies on Libav 0.7
    - Build against libffms2-dev
    - build against libgpac-dev to enable .mp4 output

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Aug 2011 21:57:53 +0200

x264 (2:0.116.2042+git178455c-1) unstable; urgency=low

  * New upstream snapshot.
  * Allow compilation on the Hurd

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Aug 2011 20:44:54 +0200

x264 (2:0.116.2037+gitf8ebd4a-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Build-Depend on yasm on all i386 and amd64 archs,
    fixes FTBFS on kfreebsd-i386. Remove lpia, it's deprecated.
  * Remove trailing comma from Build-Depends.
  * Build shared lib with --enable-pic on mips*,
    hopefully fixes FTBFS on these arches.

  [ Reinhard Tartler ]
  * enable parallel builds
  * print config.log in case the configure script fails
  * enable ffms2 input module

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 27 Jul 2011 21:36:26 +0200

x264 (2:0.116.2037+gitf8ebd4a-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Override dh_auto_clean, not dh_clean.
  * Actually build the cli against the shared lib.

  [ Andres Mejia ]
  * Prepare new revision.
  * Generate x264 manpage only once and drop build-depends on help2man. This
    makes for one less build dependency to put on the buildd machines. x264
    manpage should be generated once for each new release on a dev machine and
    tracked in git packaging repo.

 -- Andres Mejia <amejia@debian.org>  Tue, 26 Jul 2011 22:23:58 -0400

x264 (2:0.116.2037+gitf8ebd4a-1ubuntu1) oneiric; urgency=low

  * Merge from debian (seriously!), remaining changes
    - tighten dependencies on Libav 0.7
    - Build against libffms2-dev
    - build against libgpac-dev to enable .mp4 output
    - allow parallel builds

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 14:25:22 +0200

x264 (2:0.116.2037+gitf8ebd4a-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release. (Closes: #405212)
  * version.sh modifications no longer need to be made, an updated version.sh
    is installed in upstream tarball.
  * Shared library package is renamed to lib264-116.
  * fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch is removed, has
    been applied upstream.
  * Add DM-Upload-Allowed: yes.
  * Convert package to 3.0 (quilt).
  * Convert packaging to dh 7.
  * Change Priority to optional.
  * Update to my @debian.org email.
  * Update VCS-* entries to new anonscm location.
  * --enable-static must be explicitly set to build static library.
  * Add proper version depends for debhelper.
  * Update debian/copyright with new license information for new upstream
    snapshot.
  * Update debian/copyright to use DEP-5 spec.
  * Add patch to do basic spell check.
  * Include all public headers in dev package.

  [ Reinhard Tartler ]
  * Lower debhelper compat level to 7
  * Don't set --enable-debug, no longer a known option for ./configure.

 -- Andres Mejia <amejia@debian.org>  Mon, 25 Jul 2011 19:37:52 -0400

x264 (2:0.115.1943+git6e33b51-2) oneiric; urgency=low

  * install all header files in the -dev package
  * make parallel builds actually work

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 May 2011 21:34:08 +0200

x264 (2:0.115.1943+git6e33b51-1) oneiric; urgency=low

  [ Andres Mejia ]
  * New upstream release.
  * version.sh modifications no longer need to be made, an updated version.sh
    is installed in upstream tarball.
  * Shared library package is renamed to lib264-115.
  * fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch is removed, has
    been applied upstream.
  * Add DM-Upload-Allowed: yes.
  * Convert package to 3.0 (quilt).
  * Convert packaging to dh 8.
  * Change Priority to optional.

  [ Reinhard Tartler ]
  * lower debhelper compat level to 7
  * don't set --disable-debug
  * bump requirements on libav, also depend on libswscale
  * fix typo in dependency declaration
  * drop patch link-x264cli-explicitly-against-lavf
  * even more strict dependencies on libav libraries

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 May 2011 20:11:48 +0200

x264 (2:0.106.1741-3) natty; urgency=low

  * add libffms2-dev to build-deps
  * link x264cli explicitly against lavf

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Nov 2010 08:47:07 +0100

x264 (2:0.106.1741-2) natty; urgency=low

  * fix dependency on libx264-106 in package libx264-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2010 21:13:50 +0200

x264 (2:0.106.1741-1) natty; urgency=low

  * New upstream Version
  * New version fixes LP: #542943
  * remove applied patch
  * bump shlibs 98 -> 106
  * remove fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch,
    applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2010 17:07:52 +0200

x264 (2:0.98.1653+git88b90d9-3) maverick; urgency=low

  * Build for unstable.
  * Relax dependency on libavformat-dev down to 4:0.5 or greater.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 05 Aug 2010 16:28:28 -0400

x264 (2:0.98.1653+git88b90d9-2) experimental; urgency=low

  * Upload to Debian. Closes: #354667, #405212
  * update download site in debian/copyright
  * avoid running configure on distclean
  * remove libgpac-dev from build-depends, not available in debian yet.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Jul 2010 20:57:46 -0400

x264 (2:0.98.1653+git88b90d9-1) maverick; urgency=low

  * require libavformat-dev from 0.6 or better
  * remove conflicts/replaces to ancient package x264-bin (dapper!
    times)
  * new upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Jul 2010 16:23:51 -0400

x264 (2:0.85.1448+git1a6d32-5) unstable; urgency=low

  * Prepare new upload for Debian.
  * Edit git-buildpackage config file for master branch.
  * Add myself to Uploaders field.


=== debian/control ===
Source: x264
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Fabian Greffrath <fabian+debian@greffrath.com>,
           Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               libavcodec-dev (>= 4:0.7~),
               libavformat-dev (>= 4:0.7~),
               libavutil-dev (>= 4:0.7~),
               libpostproc-dev (>= 4:0.7~),
               libswscale-dev (>= 4:0.7~),
               help2man,
               yasm [any-i386 any-amd64],
               libffms2-dev,
               libgpac-dev,
               libx11-dev,
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
Homepage: http://www.videolan.org/developers/x264.html

Package: x264
Section: graphics
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: x264-bin
Replaces: x264-bin
Description: video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-116
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Depends: libx264-116 (= ${binary:Version}),
         ${misc:Depends} 
Description: development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.

=== debian/rules ===
#!/usr/bin/make -f

libx264N := $(shell sed -rn 's/^Package:[[:space:]]*(libx264-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

include debian/confflags

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	# Build static lib
	LDFLAGS="$(LDFLAGS)" ./configure $(static_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/static
	$(MAKE) distclean
	# Build shared lib
	CFLAGS="$(shared_extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/shared
ifeq ($(do_opt),yes)
	$(MAKE) distclean
	# Build opt lib
	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/opt
endif

override_dh_auto_configure:
	# dh_auto_configure phase handled via dh_auto_build.

override_dh_auto_install:
	# dh_auto_install phase handled via dh_auto_build.

override_dh_auto_clean:
	rm -rf debian/install
	$(MAKE) -o config.mak distclean
	dh_clean config.mak2

override_dh_install:
	dh_install --list-missing --sourcedir=debian/install
ifeq ($(do_opt),yes)
	mkdir -p debian/$(libx264N)$(opt_libdir)
	cp -a debian/install/opt$(opt_libdir)/*.so.* debian/$(libx264N)$(opt_libdir)
endif

override_dh_installman:
	test -f debian/x264.1 || debian/rules debian/x264.1
	dh_installman

debian/x264.1: debian/install/static/usr/bin/x264
	help2man -n"fast h264 encoder" -N -s1 -S "Videolan project" -h '--fullhelp' \
		debian/install/static/usr/bin/x264 > debian/x264.1

debian/install/static/usr/bin/x264:
	debian/rules build

## x264 0.118.2092+git6eac7c3

=== debian/changelog ===
x264 (2:0.118.2092+git6eac7c3-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Remove build-on-hurd.patch, it has already been applied upstream and
    is thus applied twice in Debian.

  [ Reinhard Tartler ]
  * Rebuild against newer libav 0.7.3 to enable libavfilter/libavcodec
    input support.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Dec 2011 11:43:02 +0100

x264 (2:0.118.2092+git6eac7c3-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream snapshot.
  * Drop arch-alpha.patch which is upstream

  [ Reinhard Tartler ]
  * debian/control: normalize fieldswith wrap-and-sort
  * remove unnecessary Conflicts/Replaces on non-existing package x264-bin

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 Oct 2011 19:47:16 +0100

x264 (2:0.118.2085+git8a62835-1) unstable; urgency=low

  * Team upload.
  * New upstream snapshot.
  * Drop basic-spell-check.patch which is upstream
  * Rename shared library package to lib264-118

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 13 Oct 2011 10:27:50 +0200

x264 (2:0.116.2042+git178455c-3) unstable; urgency=low

  * Debian's alpha buildds identify themselves as alphaev67,
    so consider alpha* as ALPHA (Closes: #642810).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 06 Oct 2011 10:33:25 +0200

x264 (2:0.116.2042+git178455c-2) unstable; urgency=low

  * Convert package to include multiarch support.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Sep 2011 14:08:08 -0400

x264 (2:0.98.1653+git88b90d9-3) unstable; urgency=low

  * Build for unstable.
  * Relax dependency on libavformat-dev down to 4:0.5 or greater.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 05 Aug 2010 16:28:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Fabian Greffrath <fabian+debian@greffrath.com>,
-           Andres Mejia <amejia@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               libavcodec-dev (>= 4:0.7~),
-               libavformat-dev (>= 4:0.7~),
-               libavutil-dev (>= 4:0.7~),
-               libpostproc-dev (>= 4:0.7~),
-               libswscale-dev (>= 4:0.7~),
-               help2man,
-               yasm [any-i386 any-amd64],
-               libffms2-dev,
-               libgpac-dev,
-               libx11-dev,
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
+ Fabian Greffrath <fabian+debian@greffrath.com>,
+ Andres Mejia <amejia@debian.org>
+Build-Depends:
+ debhelper (>= 8.1.3~),
+ libavformat-dev (>= 4:0.5),
+ libffms2-dev,
+ libx11-dev,
+ yasm [any-i386 any-amd64]
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
@@ -25,10 +21,9 @@
 Package: x264
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Conflicts: x264-bin
-Replaces: x264-bin
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: video encoder for the H.264/MPEG-4 AVC standard
  x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
  video streams.
@@ -52,10 +47,13 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-116
+Package: libx264-118
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: x264 video coding library
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
  video streams.
@@ -65,8 +63,9 @@
 Package: libx264-dev
 Section: libdevel
 Architecture: any
-Depends: libx264-116 (= ${binary:Version}),
-         ${misc:Depends} 
+Depends:
+ libx264-118 (= ${binary:Version}),
+ ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
  video streams.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 libx264N := $(shell sed -rn 's/^Package:[[:space:]]*(libx264-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
@@ -10,10 +11,20 @@
 
 LDFLAGS += -Wl,--as-needed
 
+DH_INSTALL_INPUT_FILES = debian/libx264-118.install.in \
+                         debian/libx264-dev.install.in
+
+DH_INSTALL_OUTPUT_FILES = $(DH_INSTALL_INPUT_FILES:.in=)
+
 %:
 	dh $@ --parallel
 
+$(DH_INSTALL_OUTPUT_FILES): $(DH_INSTALL_INPUT_FILES)
+	@echo "Generating $$(echo $@ | sed 's/\.in$$//') from $@"
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $@.in > $@
+
 override_dh_auto_build:
+	debian/rules $(DH_INSTALL_OUTPUT_FILES)
 	# Build static lib
 	LDFLAGS="$(LDFLAGS)" ./configure $(static_confflags) \
 	   || ( tail -v -n +0 config.log config.log ; exit 1 )
@@ -43,7 +54,7 @@
 override_dh_auto_clean:
 	rm -rf debian/install
 	$(MAKE) -o config.mak distclean
-	dh_clean config.mak2
+	dh_clean config.mak2 $(DH_INSTALL_OUTPUT_FILES)
 
 override_dh_install:
 	dh_install --list-missing --sourcedir=debian/install

## x264 0.120.2127+gitf33c8cb

=== debian/changelog ===
x264 (2:0.120.2127+gitf33c8cb-2) experimental; urgency=low

  * don't forcefully set --as-needed linker flag to avoid setting it twice
  * Filter out system-wide setting of -Bsymbolic-functions to avoid FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Jan 2012 15:22:35 +0100

x264 (2:0.120.2127+gitf33c8cb-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Simplify the debhelper install file generation.
  * Do not hard-code the library SONAME in debian/rules
    and the debhelper install file anymore.
  * Build the CLI only for the shared library build,
    as this is the actual configuration that we ship in the x264 package.
  * Generate the manpage from the CLI of the shared build.
  * Simplify the manpage generation.
  * Do not hard-code the library SONAME anywhere. Instead, read it from
    the upstream files and regenerate debian/control.

  [ Reinhard Tartler ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2127+gitf33c8cb

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Jan 2012 21:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-118
+Package: libx264-120
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libx264-118 (= ${binary:Version}),
+ libx264-120 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

## x264 0.120.2151%2bgita3f4407

=== debian/changelog ===
x264 (2:0.120.2151+gita3f4407-2) experimental; urgency=low

  [ Fabian Greffrath ]
  * Meanwhile, upstream enabled PIC for the shared library build on ia64,
    mips* and hppa/parisc (once more closes: #642810), so remove our
    Debian-specific workarounds.

  [ Reinhard Tartler ]
  * Build against libgpac to enable MP4 output
  * Add a note about non-relocatable code in the README.Debian file,
    Closes: #657019, LP: #919509

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Feb 2012 21:26:18 +0100

x264 (2:0.120.2151+gita3f4407-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2151+gita3f4407
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 05 Feb 2012 10:31:05 +0100

## x264 0.120.2151+gita3f4407

=== debian/changelog ===
x264 (2:0.120.2151+gita3f4407-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert debhelper compat bump, drop Multi-Arch control field, and set
    DEB_HOST_MULTIARCH to the empty string.
  * Bump yasm build-dep.

 -- Julien Cristau <jcristau@debian.org>  Fri, 09 Mar 2012 14:01:01 +0100

x264 (2:0.120.2151+gita3f4407-3) unstable; urgency=low

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Feb 2012 22:58:10 +0100

x264 (2:0.116.2037+gitf8ebd4a-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 28 Jul 2011 11:14:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
+ Rico Tzschichholz <ricotz@ubuntu.com>,
  Andres Mejia <amejia@debian.org>
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 7.0.50~),
  libavformat-dev (>= 4:0.5),
- libffms2-dev,
  libx11-dev,
- yasm [any-i386 any-amd64]
+ yasm (>= 1) [any-i386 any-amd64]
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
@@ -49,8 +49,6 @@
 
 Package: libx264-120
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

libx264N := libx264-$(shell grep '\#define X264_BUILD' < x264.h | cut -f 3 -d ' ')

DEB_HOST_MULTIARCH  ?= 
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

include debian/confflags

DH_INSTALL_FILES = debian/$(libx264N).install \
                   debian/libx264-dev.install

%:
	dh $@ --parallel

.PHONY: debian/control
debian/control:
	sed -e 's/@libx264N@/$(libx264N)/g' $@.in > $@

$(DH_INSTALL_FILES):
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $(subst $(libx264N),libx264N,$@).in > $@

override_dh_auto_build:
	# Build static lib
	LDFLAGS="$(LDFLAGS)" ./configure $(static_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/static
	$(MAKE) distclean
	# Build shared lib
	CFLAGS="$(shared_extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/shared
ifeq ($(do_opt),yes)
	$(MAKE) distclean
	# Build opt lib
	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) \
	   || ( tail -v -n +0 config.log config.log ; exit 1 )
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/opt
endif

override_dh_auto_configure:
	# dh_auto_configure phase handled via dh_auto_build.

override_dh_auto_install:
	# dh_auto_install phase handled via dh_auto_build.

override_dh_auto_clean: debian/control
	rm -rf debian/install
	$(MAKE) -o config.mak distclean
	dh_clean config.mak2 $(DH_INSTALL_FILES)

override_dh_install: $(DH_INSTALL_FILES)
	dh_install --list-missing --sourcedir=debian/install
ifeq ($(do_opt),yes)
	mkdir -p debian/$(libx264N)$(opt_libdir)
	cp -a debian/install/opt$(opt_libdir)/*.so.* debian/$(libx264N)$(opt_libdir)
endif

debian/x264.1: build
	env LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)" \
	help2man -n "fast h264 encoder" -N -s1 -S "Videolan project" -h '--fullhelp' \
		debian/install/shared/usr/bin/x264 > debian/x264.1

## x264 0.123.2189+git35cf912

=== debian/changelog ===
x264 (2:0.123.2189+git35cf912-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.123.2189+git35cf912
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 29 Apr 2012 19:56:17 +0200

x264 (2:0.120.2171+git01f7a33-4) unstable; urgency=low

  * Team upload.
  * Rebuild to pick gpac's new shlib.

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 Apr 2012 08:25:51 +0200

x264 (2:0.120.2171+git01f7a33-3) unstable; urgency=low

  * Fix issue of setting hardened CFLAGS for shared library.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 14:00:21 -0400

x264 (2:0.120.2171+git01f7a33-2) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.
  * Add hardened build flags excluding -O2 and -g.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 13:37:11 -0400

x264 (2:0.120.2171+git01f7a33-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2171+git01f7a33
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 15 Mar 2012 17:37:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Andres Mejia <amejia@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8.1.3~),
  libavformat-dev (>= 4:0.5),
+ libffms2-dev,
+ libgpac-dev (>= 0.4.5+svn4019~dfsg0),
  libx11-dev,
- yasm (>= 1) [any-i386 any-amd64]
-Standards-Version: 3.9.2
+ yasm [any-i386 any-amd64]
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
@@ -47,8 +49,10 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-120
+Package: libx264-123
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -61,8 +65,9 @@
 Package: libx264-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
- libx264-120 (= ${binary:Version}),
+ libx264-123 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 libx264N := libx264-$(shell grep '\#define X264_BUILD' < x264.h | cut -f 3 -d ' ')
 
-DEB_HOST_MULTIARCH  ?= 
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

## x264 0.133.2339+git585324f

=== debian/changelog ===
x264 (2:0.133.2339+git585324f-2) unstable; urgency=low

  * Upload to unstable
  * Tighten dependency on libgpac-dev

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2013 19:30:09 +0200

x264 (2:0.133.2339+git585324f-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.133.2339+git585324f
  * Regenerate debian/control and manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 26 Jul 2013 18:44:18 +0200

x264 (2:0.130.2282+git1db4621-2) experimental; urgency=low

  * Build against libav9 in debian/experimental

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 14:14:53 +0200

x264 (2:0.130.2282+git1db4621-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.130.2282+git1db4621
  * Regenerate debian/control
  * Regenerate manpage
  * Fix some lintian warnings

  [ Reinhard Tartler ]
  * Upload to experimental for now until the release team approves this
    transition.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 13:46:44 +0200

x264 (2:0.129.2238+git9c4ba4b-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Build both 8bit and 10bit versions of libx264, Closes: #667573

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.129.2238+git9c4ba4b
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Jan 2013 16:51:23 +0100

x264 (2:0.125.2209+git68dfb7b-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.125.2209+git68dfb7b
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 19 Sep 2012 09:58:50 +0200

x264 (2:0.124.2198+git1c97f35-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.124.2198+git1c97f35
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 May 2012 07:37:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
  Andres Mejia <amejia@debian.org>
 Build-Depends:
  debhelper (>= 8.1.3~),
- libavformat-dev (>= 4:0.5),
+ libavformat-dev (>= 6:9),
  libffms2-dev,
- libgpac-dev (>= 0.4.5+svn4019~dfsg0),
+ libgpac-dev (>= 0.4.5+svn4019~),
  libx11-dev,
  yasm [any-i386 any-amd64]
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html
@@ -49,7 +48,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-123
+Package: libx264-133
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -67,7 +66,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-123 (= ${binary:Version}),
+ libx264-133 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,22 @@
 	$(MAKE)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/install/opt
 endif
+	# now do the 10 bit builds
+	$(MAKE) distclean
+	CFLAGS="$(shared_extra_cflags)" LDFLAGS="$(LDFLAGS)" ./configure $(shared_confflags) --bit-depth=10 \
+	   || ( tail -v -n +0 config.log config.log ; exit 1 )
+	$(MAKE)
+	install -d -m755 $(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
+	install -m755 libx264.so.* $(CURDIR)/debian/install/shared/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
+ifeq ($(do_opt),yes)
+	$(MAKE) distclean
+	# Build opt lib
+	LDFLAGS="$(LDFLAGS)" ./configure $(opt_confflags) --bit-depth=10 \
+	   || ( tail -v -n +0 config.log config.log ; exit 1 )
+	$(MAKE)
+	install -d -m755 $(CURDIR)/debian/install/opt/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
+	install -m755 libx264.so.* $(CURDIR)/debian/install/opt/usr/lib/$(DEB_HOST_MULTIARCH)/x264-10bit
+endif
 
 override_dh_auto_configure:
 	# dh_auto_configure phase handled via dh_auto_build.

## x264 0.142.2389+git956c8d8

=== debian/changelog ===
x264 (2:0.142.2389+git956c8d8-2) experimental; urgency=low

  [ William Grant ]
  * Add aarch64-pic.patch to enable -fPIC on arm64 to fix link failure.

  [ Andrew Starr-Bochicchio ]
  * Compile using -fno-aggressive-loop-optimizations (LP: #1241772)

  [ Dimitri John Ledkov ]
  * Update config.guess/sub, attempt building on pp64el

  [ Reinhard Tartler ]
  * Document the license of extras/cl*.h (Closes: #739499)
  * Pickup the patches documented above from Ubuntu while retaining proper
    attribution.

  [ Roland Stigge ]
  * Disable altivec on powerpcspe (Closes: #701628)
  * Add autopkgtest test case "encode_testimage"

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Mar 2014 11:09:02 -0400

x264 (2:0.142.2389+git956c8d8-1) experimental; urgency=low

  * Update to new upstream snapshot

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Feb 2014 23:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  Andres Mejia <amejia@debian.org>
 Build-Depends:
  debhelper (>= 8.1.3~),
+ autotools-dev,
  libavformat-dev (>= 6:9),
  libffms2-dev,
- libgpac-dev (>= 0.4.5+svn4019~),
+ libgpac-dev (>= 0.5.0+svn4288~),
  libx11-dev,
  yasm [any-i386 any-amd64]
 Standards-Version: 3.9.4
@@ -48,7 +49,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-133
+Package: libx264-142
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -66,7 +67,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-133 (= ${binary:Version}),
+ libx264-142 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-libx264N := libx264-$(shell grep '\#define X264_BUILD' < x264.h | cut -f 3 -d ' ')
+libx264N := libx264-$(shell awk '/\#define X264_BUILD/{print $$3}' x264.h)
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -13,7 +13,7 @@
                    debian/libx264-dev.install
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autotools_dev
 
 .PHONY: debian/control
 debian/control:

=== debian/tests/control ===
Tests: encode_testimage
Depends: libav-tools (>> 6:10~), x264
Restrictions: allow-stderr

## x264 0.142.2431+gita5831aa

=== debian/changelog ===
x264 (2:0.142.2431+gita5831aa-1ubuntu1) utopic; urgency=medium

  * Downgrade -fstack-protector-strong to -fstack-protector on arm64, to
    work around LP #1364979 until the compiler is fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 13:19:53 +0100

x264 (2:0.142.2431+gita5831aa-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 03:03:10 +0100

x264 (2:0.142.2431+gita5831aa-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2431+gita5831aa
  * Fixes for armel and armhf (Closes: #752168)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Jul 2014 21:21:51 -0400

x264 (2:0.142.2412+gitd7e6896-1) unstable; urgency=medium

  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2412+gitd7e6896
  * Drop powerpcspe.patch which got upstreamed

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 07 Jun 2014 09:16:36 +0200

x264 (2:0.142.2389+git956c8d8-5) unstable; urgency=medium

  [ Peter Michael Green ]
  * Check gcc version directly to determine whether or not
    -fno-aggressive-loop-optimizations should be set rather than assuming based
    on architecture. Closes: #745104

  [ Reinhard Tartler ]
  * Recompile against libav10
  * Link dynamically against libgpac

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 May 2014 18:52:02 -0400

x264 (2:0.142.2389+git956c8d8-4) unstable; urgency=low

  * Do not set -fno-aggressive-loop-optimizations on sparc, which was
    introduced only in gcc 4.8 and the debian sparc port currently uses
    only gcc 4.6 (closes: #743713)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 17:45:59 -0400

x264 (2:0.142.2389+git956c8d8-3) unstable; urgency=low

  * Upload to unstable
  * Remove Andres Meja from Uploaders. Andres is MIA according to the MIA
    team. Thank you for maintaining x264, Andres! (Closes: #743527)
  * Bump standards version to 3.9.5, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 08:52:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
- Rico Tzschichholz <ricotz@ubuntu.com>,
- Andres Mejia <amejia@debian.org>
+ Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
  debhelper (>= 8.1.3~),
  autotools-dev,
@@ -15,7 +15,7 @@
  libgpac-dev (>= 0.5.0+svn4288~),
  libx11-dev,
  yasm [any-i386 any-amd64]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html

## x264 0.142.2495+git6a301b6

=== debian/changelog ===
x264 (2:0.142.2495+git6a301b6-1ubuntu1) vivid; urgency=medium

  * Fix the build on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2015 14:49:14 +0100

x264 (2:0.142.2495+git6a301b6-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add a wrapper script to load the 10-bit variant of libx264.
    (Closes: #751458)

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2495+git6a301b6
  * Fix wrapper script installation and don't require dpkg-dev
  * Drop obsolete build-dep on libx11-dev (Closes: #752093)
  * Add properly_detect_x32.patch (Closes: #775349)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 14 Jan 2015 23:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
@@ -13,9 +12,8 @@
  libavformat-dev (>= 6:9),
  libffms2-dev,
  libgpac-dev (>= 0.5.0+svn4288~),
- libx11-dev,
  yasm [any-i386 any-amd64]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html

## x264 0.146.2555+git0c21480

=== debian/changelog ===
x264 (2:0.146.2555+git0c21480-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.146.2555+git0c21480

  [ Sebastian Ramacher ]
  * debian/source/lintian-overrides: Removed, no longer needed.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 03 Aug 2015 16:37:49 +0200

x264 (2:0.146.2538+git121396c-3) unstable; urgency=medium

  * Team upload.

  [ Johannes Schauer ]
  * To avoid a circular build dependency, do not build depend on
    libavformat-dev, libffms2-dev and libgpac-dev and do not build the x264
    package when building the stage1 profile. To that end:
       - add build profile annotations to Build-Depends
       - add Build-Profiles field so that only the library is built in the
         stage1 build profile
       - add --disable-avs --disable-ffms --disable-gpac to common_confflags
         when building with stage1
       - depend on the proper versions of debhelper and dpkg-dev for parsing
         build profile information in debian/control
    Based on patch by Peter Pentchev
    (Closes: #752103, #735742)

  [ Sebastian Ramacher ]
  * debian/copyright: other is Expat.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jul 2015 23:03:53 +0200

x264 (2:0.146.2538+git121396c-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 May 2015 14:57:56 +0200

x264 (2:0.146.2538+git121396c-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.146.2538+git121396c
  * Fix the build on AArch64 (Thanks to Matthias Klose)

  [ Sebastian Ramacher ]
  * debian/copyright:
    - Fix path to gas-processor.pl.
    - Update copyright years.
    - Remove unused paragraph.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 May 2015 12:34:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9.20141010),
  autotools-dev,
- libavformat-dev (>= 6:9),
- libffms2-dev,
- libgpac-dev (>= 0.5.0+svn4288~),
+ dpkg-dev (>= 1.17.14),
+ libavformat-dev (>= 6:9) <!stage1>,
+ libffms2-dev <!stage1>,
+ libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  yasm [any-i386 any-amd64]
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
@@ -21,6 +22,7 @@
 Package: x264
 Section: graphics
 Architecture: any
+Build-Profiles: <!stage1>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -47,7 +49,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-142
+Package: libx264-146
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,7 +67,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-142 (= ${binary:Version}),
+ libx264-146 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
